![gradient](https://user-images.githubusercontent.com/48292190/151842047-b09d2c8b-45a4-4e01-8fa7-8b42b097f2f5.png)

[![Netlify Status](https://api.netlify.com/api/v1/badges/b34388a8-c6b3-4467-8952-177c58045ecd/deploy-status)](https://app.netlify.com/sites/gradient-css/deploys)
[![Shortcut - Link](https://img.shields.io/badge/Made_with-JavaScript-blue?logo=javascript&logoColor=white)](https://gradient-css.netlify.app/)

# Gradient Generator

🎨 Generator that easily generates gradations.

# Installation

```console
yarn install
```

# Scripts

## Dev
```console
yarn dev
```

## Build
```console
yarn build
```


## Stack

```md 
- Only Vanilla JavaScript (Using TypeScript)
- Application Build with Webpack
- Apply styling using tailwind css
- Rendering templates using Handlebars
```


## Dependencies

```json
  "dependencies": {
    "@handlebars/allow-prototype-access": "^1.0.5",
    "dom-to-image": "^2.6.0",
    "express": "^4.17.2",
    "highlight.js": "^11.4.0",
    "webpack": "^5.67.0"
  },
  "devDependencies": {
    "@babel/core": "^7.16.12",
    "@babel/preset-env": "^7.16.11",
    "@types/dom-to-image": "^2.6.4",
    "@types/morgan": "^1.9.3",
    "babel-loader": "^8.2.3",
    "concurrently": "^7.0.0",
    "css-loader": "^6.5.1",
    "dotenv": "^14.3.2",
    "gh-pages": "^3.2.3",
    "html-webpack-plugin": "^5.5.0",
    "morgan": "^1.10.0",
    "nodemon": "^2.0.15",
    "style-loader": "^3.3.1",
    "ts-loader": "^9.2.6",
    "ts-node": "^10.4.0",
    "typescript": ">=3.0.0",
    "webpack-bundle-analyzer": "^4.5.0",
    "webpack-cli": "^4.9.2",
    "webpack-dev-server": "^4.7.3",
    "webpack-merge": "^5.8.0"
  }
```
